MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025149Open CASCADE[OCCT] OCCT:Samplespublic2014-08-14 10:182018-03-21 13:59
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025149: Samples - add Qt5/QML sample for Android 4.x
DescriptionCreate dedicated sample application for Android.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0029605newkgv Community Samples, AndroidQt - Qt::AA_EnableHighDpiScaling display issue 
child of 0025146closedbugmaster Open CASCADE Porting to Android 

-  Notes
(0032655)
git (administrator)
2014-10-03 16:53

Branch CR25149 has been created by ibs.

SHA-1: ea841f36fe0ec15a8375b1aefae8a983f7cf98f7


Detailed log of new commits:

Author: ibs
Date: Fri Oct 3 14:11:30 2014 +0400

    0025149: Add Qt 5 sample for Android 4.x
    
    the sample uses qml. added functionality:
    1. brep open
    2. display opened shape
    3. view rotation by finger
(0032667)
git (administrator)
2014-10-03 18:51

Branch CR25149 has been updated forcibly by ibs.

SHA-1: ab52d0d4b950a11fcc91a9184cd3f539d5fa4413
(0032668)
git (administrator)
2014-10-03 18:56

Branch CR25149 has been updated forcibly by ibs.

SHA-1: 7586a9a586f4f17ea296417a6baee8b313cdd76f
(0033978)
git (administrator)
2014-10-31 17:42

Branch CR25149 has been updated by aan.

SHA-1: fbd22b1aa0f0d7e6266bdb0cd10de0268a698b4a


Detailed log of new commits:

Author: aan
Date: Fri Oct 31 17:41:49 2014 +0300

    Update QML sample

(0034055)
git (administrator)
2014-11-05 17:01

Branch CR25149 has been updated by aan.

SHA-1: b47a239da418d2fe48774f512e7062c0f81bf3b3


Detailed log of new commits:

Author: aan
Date: Wed Nov 5 17:01:22 2014 +0300

    Add Readme file

(0034071)
git (administrator)
2014-11-05 21:36

Branch CR25149_1 has been created by kgv.

SHA-1: 6d5bd47001e9c1add184e5767f951afec4714fa2


Detailed log of new commits:

Author: aan
Date: Wed Nov 5 21:35:19 2014 +0300

    0025149: Samples - add Qt5/QML sample for Android 4.x
(0034072)
kgv (developer)
2014-11-05 21:45

Dear aan,

please consider following remarks:

+//! Class holding touch event state.
+class TouchParameters
+{

please move this structure to dedicated header.

+//! QML item with embedded OCCT viewer.
+class QML : public QQuickItem
+{
+  Q_OBJECT

please consider renaming class - it is too ambiguous.

+DEFINE_STANDARD_HANDLE(AndroidQt_Window, Aspect_Window)
+
+IMPLEMENT_STANDARD_HANDLE (AndroidQt_Window, Aspect_Window)
+IMPLEMENT_STANDARD_RTTIEXT(AndroidQt_Window, Aspect_Window)

please move implementation of AndroidQt_Window class to .cxx file.

+class AndroidQt_Window : public Aspect_Window
+{
+

classes AndroidQt_Window, QML, TouchParameters are named using different naming schemes.

+DEFINES += __ANDROID__ LIN OCC_CONVERT_SIGNALS CSFDB

macros "__ANDROID__" and "LIN" should not be defined.

+  // set shaders location variable
+  qputenv ("CSF_ShadersDirectory", (qgetenv ("EXTERNAL_STORAGE") + "/occt/Shaders/").constData());


these line are not documented and it is unclear how OCCT resources would magically appear on user SD card.

+The connection between Qt/Qml and OCCT (C++) level is provided by proxy library, libQML.so,

libQML.so does not sound good for user library.
(0034115)
git (administrator)
2014-11-06 16:47

Branch CR25149 has been updated by aan.

SHA-1: 85ca67056c558795aa61d2f43da6ed44628168d0


Detailed log of new commits:

Author: aan
Date: Thu Nov 6 16:47:15 2014 +0300

    Minor changes

Author: aan
Date: Thu Nov 6 16:10:05 2014 +0300

    Update OCCT Android Qt sample

(0034142)
git (administrator)
2014-11-07 11:48

Branch CR25149_2 has been created by ibs.

SHA-1: 5ffb75617ac6c32d8c5057a24867a0d8a79b0252


Detailed log of new commits:

Author: ibs
Date: Fri Oct 3 14:11:30 2014 +0400

    0025149: Add Qt 5 sample for Android 4.x
    
    the sample uses qml. added functionality:
    1. brep open
    2. display opened shape
    3. view rotation by finger
(0034143)
git (administrator)
2014-11-07 12:15

Branch CR25149_2 has been updated forcibly by ibs.

SHA-1: 1dd17d34cc2d1803505fd2e4c2abfa4a755fbdb3
(0034144)
aan (developer)
2014-11-07 12:22

Dear kgv,

please review occt branch CR25149_2
(0034146)
git (administrator)
2014-11-07 13:41

Branch CR25149_2 has been updated by kgv.

SHA-1: bdc4e3323c8fb744c87517884ac82a6ff9b92579


Detailed log of new commits:

Author: kgv
Date: Fri Nov 7 13:41:00 2014 +0300

    cosmetics

(0034147)
kgv (developer)
2014-11-07 13:43

Dear aan,

all OCCT resources required to execute sample should be packed into .apk file.
(0034160)
git (administrator)
2014-11-07 15:27

Branch CR25149_2 has been updated by ibs.

SHA-1: 1e164af6d737de0792c21fb19c3d0c0775e5758f


Detailed log of new commits:

Author: ibs
Date: Fri Nov 7 15:26:17 2014 +0300

    copy occt resource to apk

(0034161)
git (administrator)
2014-11-07 15:28

Branch CR25149_3 has been created by ibs.

SHA-1: c211cda50f8c3f4c3903c474aa0869b2cdaf4a31


Detailed log of new commits:

Author: ibs
Date: Fri Oct 3 14:11:30 2014 +0400

    0025149: Samples - add Qt5/QML sample for Android 4.x
(0034162)
ibs (developer)
2014-11-07 15:37

dear bugmaster, please integrate
(0034168)
git (administrator)
2014-11-07 17:09

Branch CR25149_25195 has been created by ibs.

SHA-1: c25bdaa729187b42ba8a1d38fed38b9b6609823e


Detailed log of new commits:

Author: kgv
Date: Fri Nov 7 12:20:13 2014 +0400

    0025195: Samples - add Java sample for Android 4.x

Author: ibs
Date: Fri Oct 3 14:11:30 2014 +0400

    0025149: Samples - add Qt5/QML sample for Android 4.x
(0034228)
git (administrator)
2014-11-12 08:43

Branch CR25149 has been deleted by kgv.

SHA-1: 85ca67056c558795aa61d2f43da6ed44628168d0
(0034229)
git (administrator)
2014-11-12 08:43

Branch CR25149_1 has been deleted by kgv.

SHA-1: 6d5bd47001e9c1add184e5767f951afec4714fa2
(0034230)
git (administrator)
2014-11-12 08:43

Branch CR25149_2 has been deleted by kgv.

SHA-1: 1e164af6d737de0792c21fb19c3d0c0775e5758f
(0034231)
git (administrator)
2014-11-12 08:43

Branch CR25149_25195 has been deleted by kgv.

SHA-1: c25bdaa729187b42ba8a1d38fed38b9b6609823e
(0034232)
git (administrator)
2014-11-12 08:43

Branch CR25149_3 has been deleted by kgv.

SHA-1: c211cda50f8c3f4c3903c474aa0869b2cdaf4a31
(0034365)
git (administrator)
2014-11-12 16:09

Branch CR25149_dln has been created by dln.

SHA-1: 3aa1eb17491a32ec0d39c838bb42174875909954


Detailed log of new commits:

Author: dln
Date: Wed Nov 12 16:10:06 2014 +0300

    Add progress indicator to STEPCAFControl_Reader::Transfer()
(0034426)
git (administrator)
2014-11-14 16:30

Branch CR25149_dln has been deleted by ibs.

SHA-1: 3aa1eb17491a32ec0d39c838bb42174875909954

- Related Changesets
occt: master 80eb9670
Timestamp: 2014-10-03 10:11:30
Author: ibs
Committer: bugmaster
Details ] Diff ]
0025149: Samples - add Qt5/QML sample for Android 4.x
mod - dox/FILES_HTML.txt Diff ] File ]
add - dox/overview/images/samples_java_android_occt.jpg Diff ] File ]
add - dox/overview/images/samples_qml_android_occt.jpg Diff ] File ]
mod - dox/overview/overview.md Diff ] File ]
add - samples/qt/AndroidQt/.gitignore Diff ] File ]
add - samples/qt/AndroidQt/android/AndroidManifest.xml Diff ] File ]
add - samples/qt/AndroidQt/android/assets/opencascade/shared/.gitignore Diff ] File ]
add - samples/qt/AndroidQt/android/res/drawable-hdpi/ic_launcher.png Diff ] File ]
add - samples/qt/AndroidQt/android/res/drawable-mdpi/ic_launcher.png Diff ] File ]
add - samples/qt/AndroidQt/android/res/drawable-xhdpi/ic_launcher.png Diff ] File ]
add - samples/qt/AndroidQt/android/res/drawable-xxhdpi/ic_launcher.png Diff ] File ]
add - samples/qt/AndroidQt/android/res/values/strings.xml Diff ] File ]
add - samples/qt/AndroidQt/android/src/org/qtproject/example/AndroidQt/AndroidQt.java Diff ] File ]
add - samples/qt/AndroidQt/AndroidQt.cxx Diff ] File ]
add - samples/qt/AndroidQt/AndroidQt.h Diff ] File ]
add - samples/qt/AndroidQt/AndroidQt.pro Diff ] File ]
add - samples/qt/AndroidQt/AndroidQt.qrc Diff ] File ]
add - samples/qt/AndroidQt/AndroidQt_TouchParameters.cxx Diff ] File ]
add - samples/qt/AndroidQt/AndroidQt_TouchParameters.h Diff ] File ]
add - samples/qt/AndroidQt/AndroidQt_UserInteractionParameters.h Diff ] File ]
add - samples/qt/AndroidQt/AndroidQt_Window.cxx Diff ] File ]
add - samples/qt/AndroidQt/AndroidQt_Window.h Diff ] File ]
add - samples/qt/AndroidQt/Deployment.pri Diff ] File ]
add - samples/qt/AndroidQt/Main.cxx Diff ] File ]
add - samples/qt/AndroidQt/OCCT.pri Diff ] File ]
add - samples/qt/AndroidQt/ReadMe.md Diff ] File ]
add - samples/qt/AndroidQt/res/icons/ic_action_collection.png Diff ] File ]
add - samples/qt/AndroidQt/res/qml/main.qml Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-14 10:18 kgv New Issue
2014-08-14 10:18 kgv Assigned To => ibs
2014-08-14 10:18 kgv Relationship added child of 0025146
2014-09-16 11:31 ibs Status new => assigned
2014-10-03 16:53 git Note Added: 0032655
2014-10-03 18:51 git Note Added: 0032667
2014-10-03 18:56 git Note Added: 0032668
2014-10-31 17:42 git Note Added: 0033978
2014-11-05 17:01 git Note Added: 0034055
2014-11-05 21:34 kgv Assigned To ibs => aan
2014-11-05 21:34 kgv Summary Add Qt 5 sample for Android 4.x => Samples - add Qt5/QML sample for Android 4.x
2014-11-05 21:36 git Note Added: 0034071
2014-11-05 21:45 kgv Note Added: 0034072
2014-11-06 16:47 git Note Added: 0034115
2014-11-07 11:48 git Note Added: 0034142
2014-11-07 12:15 git Note Added: 0034143
2014-11-07 12:22 aan Note Added: 0034144
2014-11-07 12:22 aan Assigned To aan => kgv
2014-11-07 12:22 aan Status assigned => resolved
2014-11-07 13:41 git Note Added: 0034146
2014-11-07 13:43 kgv Note Added: 0034147
2014-11-07 13:43 kgv Assigned To kgv => aan
2014-11-07 13:43 kgv Status resolved => assigned
2014-11-07 13:43 kgv Target Version 7.0.0 => 6.8.0
2014-11-07 15:27 git Note Added: 0034160
2014-11-07 15:28 git Note Added: 0034161
2014-11-07 15:37 ibs Assigned To aan => ibs
2014-11-07 15:37 ibs Status assigned => resolved
2014-11-07 15:37 ibs Note Added: 0034162
2014-11-07 15:37 ibs Assigned To ibs => bugmaster
2014-11-07 15:37 ibs Status resolved => reviewed
2014-11-07 17:09 git Note Added: 0034168
2014-11-10 16:01 bugmaster Changeset attached => occt master 80eb9670
2014-11-10 16:01 bugmaster Status reviewed => verified
2014-11-10 16:01 bugmaster Resolution open => fixed
2014-11-11 12:42 aiv Fixed in Version => 6.8.0
2014-11-11 13:03 aiv Status verified => closed
2014-11-12 08:43 git Note Added: 0034228
2014-11-12 08:43 git Note Added: 0034229
2014-11-12 08:43 git Note Added: 0034230
2014-11-12 08:43 git Note Added: 0034231
2014-11-12 08:43 git Note Added: 0034232
2014-11-12 16:09 git Note Added: 0034365
2014-11-14 16:30 git Note Added: 0034426
2018-03-21 13:59 kgv Relationship added related to 0029605


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker